using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace Client
{
	
	class Client
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			try
			{
				//Enregistrer le canal TCP port 1234
				TcpChannel chnl = new TcpChannel();
				ChannelServices.RegisterChannel(chnl,true);
				//Prendre la rfrence sur le serveur (tcp://nommachine:port/CompteurManager)
				IRemote.ICompteur CompteurDistant = (IRemote.ICompteur)Activator.GetObject(typeof(IRemote.ICompteur),"tcp://localhost:1236/CompteurManager");
				//Verifier que la refrence a t acquise
				if (CompteurDistant == null) 
				{
					Console.WriteLine("Client: rfrence au serveur non acquise...");
				}
				else
				{
					Console.WriteLine("Client: Reference au serveur acquise ");
					//On peut a present appeler les mthodes de la faon CompteurDistant.maMethode
					CompteurDistant.Augmenter(2);
					Console.ReadLine();              //Attendre les instructions sur la console...
				}
			}
			catch (Exception ex) 
			{
				Console.WriteLine("ERREUR :" + ex.Message);
			}
		}
	}
}
